diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/install_ircd.in xircd/tools/install_ircd.in
--- ircd-hybrid-6.3/tools/install_ircd.in	Wed Dec 31 19:00:00 1969
+++ xircd/tools/install_ircd.in	Sat Apr 13 13:12:10 2002
@@ -0,0 +1,163 @@
+# $Id: install_ircd.in,v 1.1 2002/04/13 17:12:10 icedruid Exp $
+
+#!/bin/sh
+# IRCD INSTALL SCRIPT
+# $Id: install_ircd.in,v 1.1 2002/04/13 17:12:10 icedruid Exp $
+#
+# Completely re-written by FlashMan <chuegen@quadrunner.com> 981231
+# Wow.  The old version was *very* messy and had boatloads of redundancy.
+# Fixed.
+#
+
+# Path to install-sh
+INSTALL_SH="autoconf/install-sh"
+DPATH=@prefix@/
+
+#
+# dir_concat looks to see if we have an absolute or relative path
+# it echos $DPATH/<arg> if we have a relative path
+#
+dir_concat() {
+  if [ ! -z "`echo $1 | grep '^/'`" ]; then
+    echo $1;
+  else
+    echo ${DPATH}$1;
+  fi;
+}
+
+#
+# dir_make attempts to make a directory tree using mkdir -p
+# Used to eliminate redundancy
+#
+dir_make() {
+  if [ \( ! -z "$1" \) -a \( ! -d "$1" \) ]; then
+    echo $1 does not exist, creating...
+    mkdir -p $1
+    if [ $? -ne 0 ]; then
+      echo Could not create directory path $1.
+      echo Perhaps you are not allowed to create a directory in the path.
+      echo Please fix and try again.
+      exit -1;
+    fi;
+  fi
+}
+
+SPATH=`grep '#define.SPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+CPATH=`grep '#define.CPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+KPATH=`grep '#define.KPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+MPATH=`grep '#define.MPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+LPATH=`grep '#define.LPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+PPATH=`grep '#define.PPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+HPATH=`grep '#define.HPATH' include/config.h|awk '{print $3}'|tr -d \"`;
+
+SPATH=`dir_concat ${SPATH}`;
+CPATH=`dir_concat ${CPATH}`;
+KPATH=`dir_concat ${KPATH}`;
+MPATH=`dir_concat ${MPATH}`;
+LPATH=`dir_concat ${LPATH}`;
+PPATH=`dir_concat ${PPATH}`;
+HPATH=`dir_concat ${HPATH}`;
+
+#   DPATH = directory,
+#   SPATH = server executable,
+#   CPATH = conf file,
+#   MPATH = MOTD
+#   KPATH = kline conf file
+#   leave KPATH undefined if you want klines in main conf file
+#   HPATH is the opers help file, seen by opers on /quote help
+
+# Let's make sure $DPATH exists
+dir_make ${DPATH}
+
+if [ -f src/ircd.exe ]; then
+  EXESUFFIX=".exe"
+else
+  EXESUFFIX=""
+fi
+
+# try to install their ircd.conf file, unless it already exists.
+# install ircd, save old one as ircd.old
+dir_make `dirname ${SPATH}`
+if [ ! -f ${SPATH}${EXESUFFIX} ]; then
+  echo installing ircd as ${SPATH}${EXESUFFIX}
+  $INSTALL_SH -c src/ircd${EXESUFFIX} ${SPATH}${EXESUFFIX};
+else
+  echo installing ircd as ${SPATH}${EXESUFFIX}
+  echo previous ircd saved as ircd${EXESUFFIX}.old
+  mv ${SPATH}${EXESUFFIX} ${SPATH}${EXESUFFIX}.old
+  $INSTALL_SH -c src/ircd${EXESUFFIX} ${SPATH}${EXESUFFIX};
+fi
+
+dir_make `dirname ${CPATH}`
+if [ ! -f ${CPATH} ]; then
+  echo installing example.conf as ${CPATH}
+  $INSTALL_SH -c doc/example.conf ${CPATH};
+else
+  echo You already have ${CPATH}.;
+fi
+
+# try to install their motd file, unless it already exists.
+dir_make `dirname ${MPATH}`
+if [ ! -f ${MPATH} ]; then
+  echo installing a sample MOTD in ${MPATH}
+  echo "This is ircd-hybrid MOTD replace it with something better" > ${MPATH};
+else
+  echo You already have an MOTD in ${MPATH}.;
+fi
+
+# try to install their kpath file unless it already exists.
+dir_make `dirname ${KPATH}`
+if [ ! -f ${KPATH} ]; then
+  echo touching K-line file ${KPATH}
+  touch ${KPATH};
+else
+  echo You already have a K-line file in ${KPATH}.;
+fi
+
+# try to install their opers.txt file, in all cases 
+dir_make `dirname ${HPATH}`
+if [ ! -f ${HPATH} ]; then
+  echo installing opers.txt as ${HPATH}
+  $INSTALL_SH -c opers.txt ${HPATH};
+else
+   echo installing opers.txt as ${HPATH}
+   echo previous opers.txt saved as opers.txt.old
+   mv ${HPATH} ${HPATH}.old
+   $INSTALL_SH -c opers.txt ${HPATH};
+fi
+
+# install mkpasswd
+if [ ! -f ${DPATH}mkpasswd ]; then
+  echo installing mkpasswd as ${DPATH}mkpasswd${EXESUFFIX}
+  $INSTALL_SH -c tools/mkpasswd${EXESUFFIX} ${DPATH}mkpasswd${EXESUFFIX};
+else
+   echo installing mkpasswd as ${DPATH}mkpasswd${EXESUFFIX}
+   echo previous mkpasswd saved as mkpasswd${EXESUFFIX}.old
+   mv ${DPATH}mkpasswd${EXESUFFIX} ${DPATH}mkpasswd${EXESUFFIX}.old
+   $INSTALL_SH -c tools/mkpasswd${EXESUFFIX} ${DPATH}mkpasswd${EXESUFFIX};
+fi 
+
+# install viconf
+if [ ! -f ${DPATH}viconf ]; then
+  echo installing viconf as ${DPATH}viconf${EXESUFFIX}
+  $INSTALL_SH -c tools/viconf${EXESUFFIX} ${DPATH}viconf${EXESUFFIX}
+  rm -f ${DPATH}vimotd${EXESUFFIX} ${DPATH}viklines${EXESUFFIX}
+  ln ${DPATH}viconf${EXESUFFIX} ${DPATH}vimotd${EXESUFFIX}
+  ln ${DPATH}viconf${EXESUFFIX} ${DPATH}viklines${EXESUFFIX};
+else
+   echo installing viconf as ${DPATH}viconf${EXESUFFIX}
+   echo previous viconf saved as viconf${EXESUFFIX}.old
+   mv ${DPATH}viconf${EXESUFFIX} ${DPATH}viconf${EXESUFFIX}.old
+   $INSTALL_SH -c tools/viconf${EXESUFFIX} ${DPATH}viconf${EXESUFFIX}
+   rm -f ${DPATH}vimotd${EXESUFFIX} ${DPATH}viklines${EXESUFFIX}
+   ln ${DPATH}viconf${EXESUFFIX} ${DPATH}vimotd${EXESUFFIX}
+   ln ${DPATH}viconf${EXESUFFIX} ${DPATH}viklines${EXESUFFIX};
+fi
+
+# install ircd.8
+dir_make ${DPATH}man8
+echo installing ircd.8 as ${DPATH}man8/ircd.8
+$INSTALL_SH -c doc/ircd.8 ${DPATH}man8/ircd.8
+
+# finished.
+echo install complete!
diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/ircd_start.c xircd/tools/ircd_start.c
--- ircd-hybrid-6.3/tools/ircd_start.c	Thu Oct  5 23:01:03 2000
+++ xircd/tools/ircd_start.c	Tue Apr  9 10:00:57 2002
@@ -1,6 +1,6 @@
 /*
  * contributed by mjr
- * $Id: ircd_start.c,v 1.2 2000/10/06 03:01:03 lusky Exp $
+ * $Id: ircd_start.c,v 1.1.1.1 2002/04/09 14:00:57 reddawg Exp $
  */
 
 #include <stdio.h>
diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/klineParse.c xircd/tools/klineParse.c
--- ircd-hybrid-6.3/tools/klineParse.c	Sun Dec  9 21:56:34 2001
+++ xircd/tools/klineParse.c	Tue Apr  9 10:00:57 2002
@@ -5,7 +5,7 @@
  *
  * This program will take a kline.conf and remove duplicate and redundant 
  * entries from it, creating a kline.conf.parsed file
- * $Id: klineParse.c,v 1.3 2001/12/10 02:56:34 jdc Exp $
+ * $Id: klineParse.c,v 1.1.1.1 2002/04/09 14:00:57 reddawg Exp $
  */
 
 #define kParseVer "2.12"
diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/mkconf xircd/tools/mkconf
--- ircd-hybrid-6.3/tools/mkconf	Tue Jun 19 13:09:31 2001
+++ xircd/tools/mkconf	Tue Apr  9 10:00:57 2002
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $Id: mkconf,v 1.2 2001/06/19 17:09:31 wcampbel Exp $
+# $Id: mkconf,v 1.1.1.1 2002/04/09 14:00:57 reddawg Exp $
 # Copyright (C) 1999 Patrick Alken
 #
 # Usage: ./mkconf [options]
diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/mkpasswd.c xircd/tools/mkpasswd.c
--- ircd-hybrid-6.3/tools/mkpasswd.c	Thu Oct 25 00:28:51 2001
+++ xircd/tools/mkpasswd.c	Tue Apr  9 10:00:57 2002
@@ -6,7 +6,7 @@
 ** Modernization, getopt, etc for the Hybrid IRCD team
 ** by W. Campbell
 **
-** $Id: mkpasswd.c,v 1.11 2001/10/25 04:28:51 wcampbel Exp $
+** $Id: mkpasswd.c,v 1.1.1.1 2002/04/09 14:00:57 reddawg Exp $
 */
 #include <stdio.h>
 #include <string.h>
diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/start_ircd.c xircd/tools/start_ircd.c
--- ircd-hybrid-6.3/tools/start_ircd.c	Sat Dec  8 00:10:26 2001
+++ xircd/tools/start_ircd.c	Tue Apr  9 10:00:57 2002
@@ -18,7 +18,7 @@
 */
 
 static
-char *prog_version = "$Id: start_ircd.c,v 1.2 2001/12/08 05:10:26 jdc Exp $";
+char *prog_version = "$Id: start_ircd.c,v 1.1.1.1 2002/04/09 14:00:57 reddawg Exp $";
 
 #define IRCDDIR "/usr/local/lib/ircd"
 
diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/untabify xircd/tools/untabify
--- ircd-hybrid-6.3/tools/untabify	Wed Jul 21 00:36:15 1999
+++ xircd/tools/untabify	Tue Apr  9 10:00:57 2002
@@ -2,7 +2,7 @@
 #
 # untabify - convert tabs to spaces
 #
-# $Id: untabify,v 1.1 1999/07/21 04:36:15 tomh Exp $
+# $Id: untabify,v 1.1.1.1 2002/04/09 14:00:57 reddawg Exp $
 use Text::Tabs;
 $tabstop = 8;
 while (<>) { print expand($_) }
diff -uNrd -x ChangeLog ircd-hybrid-6.3/tools/viconf.c xircd/tools/viconf.c
--- ircd-hybrid-6.3/tools/viconf.c	Tue Jul  3 17:52:19 2001
+++ xircd/tools/viconf.c	Tue Apr  9 10:00:57 2002
@@ -1,7 +1,7 @@
 /*
  * viconf.c
  *
- * $Id: viconf.c,v 1.13 2001/07/03 21:52:19 wcampbel Exp $
+ * $Id: viconf.c,v 1.1.1.1 2002/04/09 14:00:57 reddawg Exp $
  */
 #include <stdio.h>
 #include <unistd.h>
diff -uNrd -x ChangeLog ircd-hybrid-6.3/xircd.kdevses xircd/xircd.kdevses
--- ircd-hybrid-6.3/xircd.kdevses	Wed Dec 31 19:00:00 1969
+++ xircd/xircd.kdevses	Wed Apr 10 17:51:43 2002
@@ -0,0 +1,4 @@
+<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE KDevPrjSession ><KDevPrjSession>
+ <Mainframe MaximizeMode="1" />
+ <DocsAndViews NumberOfDocuments="0" />
+</KDevPrjSession>
